Bug 1396296 - New OSP11 package from CBS -- python-tenacity
Summary: New OSP11 package from CBS -- python-tenacity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: distribution
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M2
: 11.0 (Ocata)
Assignee: Lon Hohberger
QA Contact: Jason Joyce
URL:
Whiteboard:
Depends On: 1370291
Blocks: RDO-NEWTON
TreeView+ depends on / blocked
 
Reported: 2016-11-17 22:32 UTC by Steve Linabery
Modified: 2017-05-17 19:47 UTC (History)
7 users (show)

Fixed In Version: python-tenacity-3.2.1-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1370291
Environment:
Last Closed: 2017-05-17 19:47:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Steve Linabery 2016-11-17 22:32:36 UTC
cbs build to import exists here:
http://cbs.centos.org/koji/buildinfo?buildID=12726

+++ This bug was initially created as a clone of Bug #1370291 +++

Spec URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity.spec
SRPM URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity-2.0.0-1.fc24.src.rpm

Description: 
 Tenacity is a general purpose retrying python library

Fedora Account System Username: pkilambi

--- Additional comment from Pradeep Kilambi on 2016-08-26 10:23:44 EDT ---

rebased to 3.0

Spec URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity.spec
SRPM URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity-3.0.0-1.fc24.src.rpm

--- Additional comment from Javier Peña on 2016-09-01 10:42:57 EDT ---

Hi Pradeep,

The spec looks fine, but we need at least one change:

- Please remove python3-futures from the requirements list for the python3 subpackage, futures is Python2-only

fedora-review is also complaining about https://pypi.io/packages/source/t/tenacity-3.0.0.tar.gz not being a valid URL, have you checked it?

Thanks.

--- Additional comment from Javier Peña on 2016-09-01 10:46:31 EDT ---

Also, it would be nice to unify the descriptions, some of them seem to have been cut.

--- Additional comment from Pradeep Kilambi on 2016-09-07 16:10:39 EDT ---

Thanks Javier. Updated the spec and srpm with fixes: please review

Spec URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity.spec
SRPM URL: https://pkilambi.fedorapeople.org/python-tenacity/python-tenacity-3.0.0-1.fc24.src.rpm

--- Additional comment from Javier Peña on 2016-09-08 05:37:11 EDT ---

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 7 files have unknown license. Detailed output of licensecheck
     in /tmp/1370291-python-tenacity/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-tenacity , python3-tenacity
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-tenacity-3.0.0-1.fc26.noarch.rpm
          python3-tenacity-3.0.0-1.fc26.noarch.rpm
          python-tenacity-3.0.0-1.fc26.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python3-tenacity (rpmlib, GLIBC filtered):
    python(abi)
    python3-monotonic
    python3-six

python2-tenacity (rpmlib, GLIBC filtered):
    python(abi)
    python-futures
    python-monotonic
    python-six



Provides
--------
python3-tenacity:
    python3-tenacity
    python3.5dist(tenacity)
    python3dist(tenacity)

python2-tenacity:
    python-tenacity
    python2-tenacity
    python2.7dist(tenacity)
    python2dist(tenacity)



Source checksums
----------------
https://pypi.io/packages/source/t/tenacity/tenacity-3.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 60a1438645e26324ac8eefa4748561a866d007b9243d906bd631bb5c70ce7e32
  CHECKSUM(SHA256) upstream package : 60a1438645e26324ac8eefa4748561a866d007b9243d906bd631bb5c70ce7e32


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1370291 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Package is APPROVED, please go ahead with the SCM request.

--- Additional comment from Jon Ciesla on 2016-09-08 08:38:00 EDT ---

Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-tenacity

--- Additional comment from Charalampos Stratakis on 2016-09-27 11:04:19 EDT ---

Package has been built, so the review request bugzilla should be closed.

Comment 3 errata-xmlrpc 2017-05-17 19:47:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.